org.richfaces.renderkit.html

## Class JQueryRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.JQueryRendererBase
        - - org.richfaces.renderkit.html.JQueryRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class JQueryRenderer
      extends JQueryRendererBase

  Renderer for component class org.richfaces.renderkit.html.JQueryRenderer

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JQueryRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIJQuery component, org.ajax4jsf.renderkit.ComponentVariables variables)`
    `protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
    `protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`

    - ### Methods inherited from class org.richfaces.renderkit.JQueryRendererBase

      `checkValidity, replaceClientIds`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JQueryRenderer

          public JQueryRenderer()

  - ### Method Detail

    - #### getScripts

          protected org.ajax4jsf.resource.InternetResource[] getScripts()

      Overrides:
        `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Get base component class, targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `JQueryRendererBase`
      Returns:

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         UIJQuery component,
                         org.ajax4jsf.renderkit.ComponentVariables variables)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.